#include <string.h>
#include <files.hpp>


void levelData::setZ(float zl,float ze)
{
	zloc = zl;
	eloc = ze;
	mloc = ze + ((zl - ze)/2);
}

void levelData::set(char* fn,int nf,int ls)
{
	strcpy(name,fn);
	numFiles = nf;
	levelSize = ls;
}


void selectList::set(int l,int f)
{
	level = l;
	filenum = f;
}


void fileData::set(char* n,double s,mode_t p,tm* md,int d,double bs)
{
	strcpy(name,n);
	size = s;
	permissions = p;
	m_date = md;
	directory = d;
	b_size = bs;
}

long fileSize(const char* filename){
   struct stat info;
   if(lstat(filename, &info) == 0) { return info.st_size; }
   return 0;
}

tm* getMDate(const char* filename){
    struct stat info;
    if(!lstat(filename, &info)){
		return localtime(&info.st_mtime);
    } else { return 0; }
    return 0;
}

mode_t getMMode(const char* filename){
    struct stat info;
    if(!lstat(filename, &info)){
		return info.st_mode;
    }
	 return 0;
}

int isDir(const char* filename){
    struct stat info;
    if(!lstat(filename, &info)){ if (S_ISDIR(info.st_mode)) { return 1; } }
    return 0;
}
