#include <dirent.h>
#include <sys/stat.h>
#include <time.h>



class levelData
{
public:
	char name[256];			  		//name of the folder
	int numFiles;					//number of files in the level
	int levelSize;					//largest file in the level
	float zloc;						//the front z location of the level
	float eloc;						//the back z location of the level
	float mloc;						//the middle z location of the level
	void set(char* fn,int nf,int ls);
	void setZ(float zl,float ze);
};


class selectList
{
public:
	int level;						//the level the file is in
	int filenum;					//the number of the file

	void set(int l,int f);
};


class fileData
{
public:
	char name[256];				//name of the file
	double size;					//size of the file
	mode_t permissions;			//standard permissions
	tm* m_date;					//modification date
	int directory;
	double b_size;					//box size
	void set(char* n,double s,mode_t p,tm* md,int d,double bs);
};


long fileSize (const char* filename);

tm* getMDate (const char* filename);

mode_t getMMode (const char* filename);

int isDir (const char* filename);
